package de.hszg;

import lejos.nxt.Button;
import lejos.nxt.Motor;
import lejos.nxt.SensorPort;
import lejos.nxt.addon.GyroSensor;

public class Schaukel_1 {

	static GyroSensor gyro = new GyroSensor(SensorPort.S1);
	
	/**
	 * Beim Start beginnt das Schaukeln durch kontinuierliche Motorbewegung.
	 * Programmende nur durch Entfernen des Akkus.
	 * S1 -> Gyro nach unten angebracht
	 * A -> Motor
	 */
	
	public static void Swing() throws Throwable{
		gyro.recalibrateOffset();
		
		while (!Button.ENTER.isDown()){
			
			gyro.readValue();
							
			if ((gyro.readValue()-600) < 0){
				Motor.A.setSpeed(500);
				gyro.readValue();
				Motor.A.rotateTo(-90);
				Thread.sleep((int)(gyro.readValue()-600)*(int)-2);
			}
			
			if ((gyro.readValue()-600) > 0){
				Motor.A.setSpeed(600);
				Motor.A.rotateTo(80);
				gyro.readValue();
				Thread.sleep((int)(gyro.readValue()-600)*(int)2);
			}
			
			System.out.println((int)(gyro.readValue()-600) +"\n");
		}
		
	}
		
	public static void main (String[] Args) throws Throwable{
		Swing();
	}

}